Name:       smatch
Version:    1.73
Release:    1%{?dist}
Summary:    A static analyzer for C

# License breakdown:
# - Smatch itself is GPL-2.0-or-later
# - Sparse is MIT
# - cwchash is BSD-3-clause
# - smdb.py is OSL-1.1 (used to manually inspect the results by user)

License:    GPL-2.0-or-later AND MIT AND BSD-3-Clause AND OSL-1.1
URL:        https://%{name}.sourceforge.net
Source0:    https://github.com/error27/%{name}/archive/refs/tags/%{version}.tar.gz

Patch0:     do-not-build-sparse-binaries.patch
Patch1:     fix-datadir-path.patch
Patch2:     use-distribution-ldflags.patch

BuildRequires: gcc
BuildRequires: make
BuildRequires: openssl-devel
BuildRequires: sqlite-devel

Provides: bundled(cwchash)
Provides: bundled(sparse)

%description
Smatch is a static analysis tool for C.

%prep
%autosetup

%build
%if 0%{?rhel}
%set_build_flags
export CFLAGS="-std=gnu99 $CFLAGS"
%endif

%make_build PREFIX='%{_prefix}'

%install
%make_install PREFIX='%{_prefix}'

%files
%doc README
%license GPL-2 LICENSE
%{_bindir}/smatch
%{_datadir}/%{name}

%changelog
* Mon May 22 2023 Lukáš Zaoral <lzaoral@redhat.com> - 1.73-1
- Initial import
